package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FeishuApprovalInstanceFormCollection extends AbstractObjectCollection 
{
    public FeishuApprovalInstanceFormCollection()
    {
        super(FeishuApprovalInstanceFormInfo.class);
    }
    public boolean add(FeishuApprovalInstanceFormInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FeishuApprovalInstanceFormCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FeishuApprovalInstanceFormInfo item)
    {
        return removeObject(item);
    }
    public FeishuApprovalInstanceFormInfo get(int index)
    {
        return(FeishuApprovalInstanceFormInfo)getObject(index);
    }
    public FeishuApprovalInstanceFormInfo get(Object key)
    {
        return(FeishuApprovalInstanceFormInfo)getObject(key);
    }
    public void set(int index, FeishuApprovalInstanceFormInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FeishuApprovalInstanceFormInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FeishuApprovalInstanceFormInfo item)
    {
        return super.indexOf(item);
    }
}